//+------------------------------------------------------------------+
//|																															View |
//|                             Copyright 2006-2011, www.FXmaster.de |
//|                                                  www.FXmaster.de |
//+------------------------------------------------------------------+
#property copyright "Copyright 2006-2011, www.FXmaster.de"
#property link      "www.FXmaster.de"
#property version   "1.00"

#include "..\Lib\GraphLib.mqh"

//------------------------------------------------------------------	CView
class CView
{
//---  
public:
	CView() { }; // 
	~CView() { }; // 
	virtual void Create(long chart, string name, int wnd, color clr, color bgclr, color selclr, int x, int y, int dx, int dy, int corn=0, int fontsize=8, string font="Arial");

//---   
public:
	virtual int OnClick(string name) { return(0); }; //     

//---  
public:
	int m_x, m_y; //     
	int m_x0, m_y0; //   
	int m_dx, m_dy; //  
	color m_clr, m_bgclr, m_selclr; //  , ,  
	long m_chart; // ID 
	int m_wnd; //   
	string m_name; //  
	int m_corn; //  
	string m_font; //  
	int m_fontsize; //  

//---  
public:
	virtual void Draw() {}; //      
	virtual void DeleteView() {}; //      
	bool IsOpenView();
};
//------------------------------------------------------------------	Create
void CView::Create(long achart, string name, int wnd, color clr, color bgclr, color selclr, int x, int y, int dx, int dy, int corn=0, int fontsize=8, string font="Arial")
{
	m_chart=achart; m_name=name; m_wnd=wnd; 
	m_clr=clr; m_bgclr=bgclr; m_selclr=selclr; 
	m_x=x; m_y=y; m_dx=dx; m_dy=dy; m_corn=corn; 
	m_fontsize=fontsize; m_font=font;
	m_x0=0; m_y0=0; //   
}
//------------------------------------------------------------------	IsOpenView
bool CView::IsOpenView()
{
	long first=ChartFirst(); long next=ChartNext(first);
	while (first!=next && next>0) { if (m_chart==next) return(true); next=ChartNext(next); }
	return(false);
}
